<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">



            <ui:define name="content">
                <ui:define name="content">
                    <p:fieldset legend="Cadastro Professor">

                        <p:panelGrid id="painel" >

                            <p:row>
                                <p:column>
                                    <p:outputLabel value="Código:" for="codigo" />
                                </p:column>
                                <p:column colspan="8">
                                    <p:inputText id="codigo" value="#{professorBean.professor.id}" readonly="true" size="2" />
                                </p:column>

                            </p:row>

                            <p:row>
                                <p:column >
                                    <p:outputLabel value="Nome:" for="nomeForm" />
                                </p:column>
                                <p:column colspan="8">
                                    <p:inputText id="nomeForm" value="#{professorBean.professor.nome}"  readonly="false" />
                                </p:column>

                            </p:row>

                            <p:row>
                                <p:column>
                                    <p:outputLabel value="CPF:" for="cpf" />
                                </p:column>
                                <p:column colspan="8">
                                    <p:inputText id="cpf" value="#{professorBean.professor.cpf}"  />
                                </p:column>

                            </p:row>

                            <p:row>
                                <p:column>
                                    <p:outputLabel value="Endereço:" for="endereco" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="endereco" value="#{professorBean.professor.endereco}"  />
                                </p:column>

                                <p:column>
                                    <p:outputLabel value="Nº" for="numero" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="numero" value="#{professorBean.professor.numero}"  size="2" />
                                </p:column>
                                <p:column>
                                    <p:outputLabel value="Cidade:" for="cidade" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="cidade" value="#{professorBean.professor.cidade}" />
                                </p:column>
                                <p:column>
                                    <p:outputLabel value="UF:" for="uf" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="uf" value="#{professorBean.professor.estado}" size="2" />
                                </p:column>

                            </p:row>

                            <p:row>
                                <p:column>
                                    <p:outputLabel value="Complemento:" for="complemento" />
                                </p:column>
                                <p:column colspan="8">
                                    <p:inputText id="complemento" value="#{professorBean.professor.complemento}" size="100" />
                                </p:column>

                            </p:row>
                        </p:panelGrid>

                    </p:fieldset>


                    <p:commandButton value="Salvar" actionListener="#{professorBean.salvar}" update="painel,growl" />
                    <p:commandButton value="Novo"  actionListener="#{professorBean.novo}" update="painel" immediate="true" process="@this" />


                </ui:define>



        </ui:composition>
        </ui:define>


        </ui:composition>

    </body>
</html>
